# Get a bank statement

**GET /v2/bank_statements/{id}**

This operation uses content negotiation to request either a JSON representation of the statement (`application/json`), or the actual statement file (`application/octet-stream`).

**Scope**: `bank-statements:read`


## Servers
- Production: https://api.memo.bank (Production)
- Sandbox: https://api.sandbox.memo.bank (Sandbox)



## Parameters

### Path parameters

- **id** (string(uuid))
  ID of the statement.




## Responses
### 200
OK

#### Body: application/json (object)
- **id** (string(uuid))
  ID of the statement.

- **account_id** (string(uuid))
  ID of the account this statement was generated for.

- **format** (string)
  Format of the statement file.

- **month** (string)
  Month covered by the statement, in the YYYY-MM format.

- **start_date** (string(date))
  First day of the period covered by the statement (inclusive). The statement of the month an account is closed only covers the days up to its closing.

- **end_date** (string(date))
  Last day of the period covered by the statement (inclusive).

- **filename** (string)
  Name of the statement file.

- **size** (integer(int64))
  Size of the statement file in bytes.

- **mime_type** (string)
  Mime type of the statement file.

- **created_at** (string(date-time))
  Date at which the statement was generated.



[Powered by Bump.sh](https://bump.sh)
